import greenfoot.*; // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.awt.Font;

/**
 * Die einzigen aktiven Akteure in der Roboterwelt sind die Roboter.
 * Die Welt besteht aus 14 * 10 Feldern.
 */

public class RoboterWelt extends World
{
    private static int zellenGroesse = 10;

    /**
     * Erschaffe eine Welt mit 14 * 10 Zellen.
     */
    public RoboterWelt()
    {
        super(60, 50, zellenGroesse);
        setBackground("images/Bodenplatte.png");
       linie3();
    }

    public void linie1() {
        line (1,2,1,48);
    }

    public void linie2() {
        line (1,1,58,1);
    }

    public void linie3() {
        line (1,1,58,47);
    }

    public void linie4() {
        line (1,48,57,3);
    }
    
    public void linie5() {
        line (1,23,57,32);
    }

    public void line (int x1,int y1,int x2,int y2){
        weltLeeren();
        zeichne(x1,y1);
        draw(x1,y1,x2,y2);
    }

    private void draw(int x1,int y1,int x2,int y2){
        if ((x2-x1<=1 && x2-x1>=-1)&&(y2-y1<=1 && y2-y1>=-1)) {
            zeichne (x2,y2);
            return;
        }
        draw(x1,y1,(int)((x1+x2)/2),(int)((y1+y2)/2));
        draw((int)(((x1+x2)/2)),(int)(((y1+y2)/2)),x2,y2);
    }

    private void zeichne (int x, int y){
        if (getObjectsAt(x, y, Wand.class)!=null) addObject( new Wand(), x, y);
    }

    /**
     * Die Welt wird geleert
     */
    private void weltLeeren()
    {
        removeObjects(getObjects(null));
        setBackground("images/Bodenplatte.png");
    }

}